# Microsoft.Samples.DirectX.UtilityToolkit.Enumeration Class Reference

Enumerates available Direct3D adapters, devices, modes, etc. Singleton. More...

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.Enumeration:

[legend]

List of all members.

## Static Public Member Functions
static void | Enumerate (IDeviceCreation acceptableCallback)
| Enumerates available D3D adapters, devices, modes, etc.
static void | ResetPossibleDepthStencilFormats ()
| Resets the list of possible depth stencil formats.
static void | ResetPossibleMultisampleTypeList ()
| Resets the possible multisample type list.
static void | ResetPossiblePresentIntervalList ()
| Resets the possible present interval list.
static void | SetResolutionMinMax (uint minWidth, uint minHeight, uint maxWidth, uint maxHeight)
| Set the minimum and maximum resolution items.
static void | SetRefreshMinMax (uint minRefresh, uint maxRefresh)
| Sets the minimum and maximum refresh.
static EnumAdapterInformation | GetAdapterInformation (uint ordinal)
| Get the adapter information for a specific adapter.
static EnumDeviceInformation | GetDeviceInfo (uint ordinal, DeviceType deviceType)
| Get a specific device information for a device and type.
static EnumDeviceSettingsCombo | GetDeviceSettingsCombo (uint ordinal, DeviceType deviceType, Format adapterFormat, Format backBufferFormat, bool isWindowed)
| Returns a specific device combination.
static EnumDeviceSettingsCombo | GetDeviceSettingsCombo (DeviceSettings settings)
| Returns a specific device combination from a device settings object.
static void | Enumerate (IDeviceCreation acceptableCallback)
| Enumerates available D3D adapters, devices, modes, etc.
static void | ResetPossibleDepthStencilFormats ()
| Resets the list of possible depth stencil formats.
static void | ResetPossibleMultisampleTypeList ()
| Resets the possible multisample type list.
static void | ResetPossiblePresentIntervalList ()
| Resets the possible present interval list.
static void | SetResolutionMinMax (uint minWidth, uint minHeight, uint maxWidth, uint maxHeight)
| Set the minimum and maximum resolution items.
static void | SetRefreshMinMax (uint minRefresh, uint maxRefresh)
| Sets the minimum and maximum refresh.
static EnumAdapterInformation | GetAdapterInformation (uint ordinal)
| Get the adapter information for a specific adapter.
static EnumDeviceInformation | GetDeviceInfo (uint ordinal, DeviceType deviceType)
| Get a specific device information for a device and type.
static EnumDeviceSettingsCombo | GetDeviceSettingsCombo (uint ordinal, DeviceType deviceType, Format adapterFormat, Format backBufferFormat, bool isWindowed)
| Returns a specific device combination.
static EnumDeviceSettingsCombo | GetDeviceSettingsCombo (DeviceSettings settings)
| Returns a specific device combination from a device settings object.
static void | Enumerate (IDeviceCreation acceptableCallback)
| Enumerates available D3D adapters, devices, modes, etc.
static void | ResetPossibleDepthStencilFormats ()
| Resets the list of possible depth stencil formats.
static void | ResetPossibleMultisampleTypeList ()
| Resets the possible multisample type list.
static void | ResetPossiblePresentIntervalList ()
| Resets the possible present interval list.
static void | SetResolutionMinMax (uint minWidth, uint minHeight, uint maxWidth, uint maxHeight)
| Set the minimum and maximum resolution items.
static void | SetRefreshMinMax (uint minRefresh, uint maxRefresh)
| Sets the minimum and maximum refresh.
static EnumAdapterInformation | GetAdapterInformation (uint ordinal)
| Get the adapter information for a specific adapter.
static EnumDeviceInformation | GetDeviceInfo (uint ordinal, DeviceType deviceType)
| Get a specific device information for a device and type.
static EnumDeviceSettingsCombo | GetDeviceSettingsCombo (uint ordinal, DeviceType deviceType, Format adapterFormat, Format backBufferFormat, bool isWindowed)
| Returns a specific device combination.
static EnumDeviceSettingsCombo | GetDeviceSettingsCombo (DeviceSettings settings)
| Returns a specific device combination from a device settings object.
## Properties
static uint | MultisampleQualityMax`[get, set]`
| Property for MultisampleQualityMax.
static bool | IsPostPixelShaderBlendingRequred`[get, set]`
| Allows the user to set if post pixel shader blending is required.
static bool | IsSoftwareVertexProcessingPossible`[get, set]`
| Allows the user to set if software vertex processing is available.
static bool | IsHardwareVertexProcessingPossible`[get, set]`
| Allows the user to set if hardware vertex processing is available.
static bool | IsPureHardwareVertexProcessingPossible`[get, set]`
| Allows the user to set if pure hardware vertex processing is available.
static bool | IsMixedVertexProcessingPossible`[get, set]`
| Allows the user to set if mixed vertex processing is available.
static ArrayList | PossibleDepthStencilFormatList`[get]`
| Allows the user to get the possible depth stencil formats.
static ArrayList | PossibleMultisampleTypeList`[get]`
| Allows the user to get the possible multisample types.
static ArrayList | PossiblePresentIntervalsList`[get]`
| Allows the user to get the possible present intervals.
static ArrayList | AdapterInformationList`[get]`
| Use this after Enumerate to get the list of adapter information.
static List< DepthFormat > | PossibleDepthStencilFormatList`[get]`
| Allows the user to get the possible depth stencil formats.
static List< MultiSampleType > | PossibleMultisampleTypeList`[get]`
| Allows the user to get the possible multisample types.
static List< PresentInterval > | PossiblePresentIntervalsList`[get]`
| Allows the user to get the possible present intervals.
static List < EnumAdapterInformation > | AdapterInformationList`[get]`
| Use this after Enumerate to get the list of adapter information.

## Detailed Description

Enumerates available Direct3D adapters, devices, modes, etc. Singleton.

Definition at line 18 of file dxmutenum.cs.

## Member Function Documentation

static void Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.Enumerate | ( | IDeviceCreation | acceptableCallback | ) | `[static]`

Enumerates available D3D adapters, devices, modes, etc.

Definition at line 84 of file wdxmutenum.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.Enumerate | ( | IDeviceCreation | acceptableCallback | ) | `[static]`

Enumerates available D3D adapters, devices, modes, etc.

Definition at line 83 of file dxmutenum.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.Enumerate | ( | IDeviceCreation | acceptableCallback | ) | `[static]`

Enumerates available D3D adapters, devices, modes, etc.

Definition at line 83 of file dxmutenum.cs.

static EnumAdapterInformation Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.GetAdapterInformation | ( | uint | ordinal | ) | `[static]`

Get the adapter information for a specific adapter.

Definition at line 582 of file wdxmutenum.cs.

static EnumAdapterInformation Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.GetAdapterInformation | ( | uint | ordinal | ) | `[static]`

Get the adapter information for a specific adapter.

Definition at line 581 of file dxmutenum.cs.

static EnumAdapterInformation Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.GetAdapterInformation | ( | uint | ordinal | ) | `[static]`

Get the adapter information for a specific adapter.

Definition at line 581 of file dxmutenum.cs.

static EnumDeviceInformation Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.GetDeviceInfo | ( | uint | ordinal,
|  | DeviceType | deviceType |
| ) |  |  | `[static]`

Get a specific device information for a device and type.

Definition at line 599 of file wdxmutenum.cs.

static EnumDeviceInformation Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.GetDeviceInfo | ( | uint | ordinal,
|  | DeviceType | deviceType |
| ) |  |  | `[static]`

Get a specific device information for a device and type.

Definition at line 598 of file dxmutenum.cs.

static EnumDeviceInformation Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.GetDeviceInfo | ( | uint | ordinal,
|  | DeviceType | deviceType |
| ) |  |  | `[static]`

Get a specific device information for a device and type.

Definition at line 598 of file dxmutenum.cs.

static EnumDeviceSettingsCombo Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.GetDeviceSettingsCombo | ( | DeviceSettings | settings | ) | `[static]`

Returns a specific device combination from a device settings object.

Definition at line 646 of file wdxmutenum.cs.

static EnumDeviceSettingsCombo Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.GetDeviceSettingsCombo | ( | uint | ordinal,
|  | DeviceType | deviceType,
|  | Format | adapterFormat,
|  | Format | backBufferFormat,
|  | bool | isWindowed |
| ) |  |  | `[static]`

Returns a specific device combination.

Definition at line 621 of file wdxmutenum.cs.

static EnumDeviceSettingsCombo Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.GetDeviceSettingsCombo | ( | DeviceSettings | settings | ) | `[static]`

Returns a specific device combination from a device settings object.

Definition at line 645 of file dxmutenum.cs.

static EnumDeviceSettingsCombo Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.GetDeviceSettingsCombo | ( | uint | ordinal,
|  | DeviceType | deviceType,
|  | Format | adapterFormat,
|  | Format | backBufferFormat,
|  | bool | isWindowed |
| ) |  |  | `[static]`

Returns a specific device combination.

Definition at line 620 of file dxmutenum.cs.

static EnumDeviceSettingsCombo Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.GetDeviceSettingsCombo | ( | DeviceSettings | settings | ) | `[static]`

Returns a specific device combination from a device settings object.

Definition at line 645 of file dxmutenum.cs.

static EnumDeviceSettingsCombo Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.GetDeviceSettingsCombo | ( | uint | ordinal,
|  | DeviceType | deviceType,
|  | Format | adapterFormat,
|  | Format | backBufferFormat,
|  | bool | isWindowed |
| ) |  |  | `[static]`

Returns a specific device combination.

Definition at line 620 of file dxmutenum.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.ResetPossibleDepthStencilFormats | ( |  | ) | `[static]`

Resets the list of possible depth stencil formats.

Definition at line 414 of file wdxmutenum.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.ResetPossibleDepthStencilFormats | ( |  | ) | `[static]`

Resets the list of possible depth stencil formats.

Definition at line 413 of file dxmutenum.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.ResetPossibleDepthStencilFormats | ( |  | ) | `[static]`

Resets the list of possible depth stencil formats.

Definition at line 413 of file dxmutenum.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.ResetPossibleMultisampleTypeList | ( |  | ) | `[static]`

Resets the possible multisample type list.

Definition at line 429 of file wdxmutenum.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.ResetPossibleMultisampleTypeList | ( |  | ) | `[static]`

Resets the possible multisample type list.

Definition at line 428 of file dxmutenum.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.ResetPossibleMultisampleTypeList | ( |  | ) | `[static]`

Resets the possible multisample type list.

Definition at line 428 of file dxmutenum.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.ResetPossiblePresentIntervalList | ( |  | ) | `[static]`

Resets the possible present interval list.

Definition at line 455 of file wdxmutenum.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.ResetPossiblePresentIntervalList | ( |  | ) | `[static]`

Resets the possible present interval list.

Definition at line 454 of file dxmutenum.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.ResetPossiblePresentIntervalList | ( |  | ) | `[static]`

Resets the possible present interval list.

Definition at line 454 of file dxmutenum.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.SetRefreshMinMax | ( | uint | minRefresh,
|  | uint | maxRefresh |
| ) |  |  | `[static]`

Sets the minimum and maximum refresh.

Definition at line 481 of file wdxmutenum.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.SetRefreshMinMax | ( | uint | minRefresh,
|  | uint | maxRefresh |
| ) |  |  | `[static]`

Sets the minimum and maximum refresh.

Definition at line 480 of file dxmutenum.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.SetRefreshMinMax | ( | uint | minRefresh,
|  | uint | maxRefresh |
| ) |  |  | `[static]`

Sets the minimum and maximum refresh.

Definition at line 480 of file dxmutenum.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.SetResolutionMinMax | ( | uint | minWidth,
|  | uint | minHeight,
|  | uint | maxWidth,
|  | uint | maxHeight |
| ) |  |  | `[static]`

Set the minimum and maximum resolution items.

Definition at line 470 of file wdxmutenum.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.SetResolutionMinMax | ( | uint | minWidth,
|  | uint | minHeight,
|  | uint | maxWidth,
|  | uint | maxHeight |
| ) |  |  | `[static]`

Set the minimum and maximum resolution items.

Definition at line 469 of file dxmutenum.cs.

static void Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.SetResolutionMinMax | ( | uint | minWidth,
|  | uint | minHeight,
|  | uint | maxWidth,
|  | uint | maxHeight |
| ) |  |  | `[static]`

Set the minimum and maximum resolution items.

Definition at line 469 of file dxmutenum.cs.

## Property Documentation

List<EnumAdapterInformation> Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.AdapterInformationList`[static, get]`

Use this after Enumerate to get the list of adapter information.

Definition at line 575 of file wdxmutenum.cs.

static ArrayList Microsoft::Samples::DirectX::UtilityToolkit.Enumeration::AdapterInformationList`[static, get]`

Use this after Enumerate to get the list of adapter information.

Definition at line 574 of file dxmutenum.cs.

static bool Microsoft::Samples::DirectX::UtilityToolkit.Enumeration::IsHardwareVertexProcessingPossible`[static, get, set]`

Allows the user to set if hardware vertex processing is available.

Definition at line 523 of file dxmutenum.cs.

static bool Microsoft::Samples::DirectX::UtilityToolkit.Enumeration::IsMixedVertexProcessingPossible`[static, get, set]`

Allows the user to set if mixed vertex processing is available.

Definition at line 541 of file dxmutenum.cs.

static bool Microsoft::Samples::DirectX::UtilityToolkit.Enumeration::IsPostPixelShaderBlendingRequred`[static, get, set]`

Allows the user to set if post pixel shader blending is required.

Definition at line 505 of file dxmutenum.cs.

static bool Microsoft::Samples::DirectX::UtilityToolkit.Enumeration::IsPureHardwareVertexProcessingPossible`[static, get, set]`

Allows the user to set if pure hardware vertex processing is available.

Definition at line 532 of file dxmutenum.cs.

static bool Microsoft::Samples::DirectX::UtilityToolkit.Enumeration::IsSoftwareVertexProcessingPossible`[static, get, set]`

Allows the user to set if software vertex processing is available.

Definition at line 514 of file dxmutenum.cs.

static uint Microsoft::Samples::DirectX::UtilityToolkit.Enumeration::MultisampleQualityMax`[static, get, set]`

Property for MultisampleQualityMax.

Definition at line 490 of file dxmutenum.cs.

List<DepthFormat> Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.PossibleDepthStencilFormatList`[static, get]`

Allows the user to get the possible depth stencil formats.

Definition at line 551 of file wdxmutenum.cs.

static ArrayList Microsoft::Samples::DirectX::UtilityToolkit.Enumeration::PossibleDepthStencilFormatList`[static, get]`

Allows the user to get the possible depth stencil formats.

Definition at line 550 of file dxmutenum.cs.

List<MultiSampleType> Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.PossibleMultisampleTypeList`[static, get]`

Allows the user to get the possible multisample types.

Definition at line 559 of file wdxmutenum.cs.

static ArrayList Microsoft::Samples::DirectX::UtilityToolkit.Enumeration::PossibleMultisampleTypeList`[static, get]`

Allows the user to get the possible multisample types.

Definition at line 558 of file dxmutenum.cs.

List<PresentInterval> Microsoft.Samples.DirectX.UtilityToolkit.Enumeration.PossiblePresentIntervalsList`[static, get]`

Allows the user to get the possible present intervals.

Definition at line 567 of file wdxmutenum.cs.

static ArrayList Microsoft::Samples::DirectX::UtilityToolkit.Enumeration::PossiblePresentIntervalsList`[static, get]`

Allows the user to get the possible present intervals.

Definition at line 566 of file dxmutenum.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutenum.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutenum.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutenum.cs